%define		own	asterisk
%define		grp	asterisk
%define		sown	root
%define		sgrp	root
%define		rawname	manager

Name:		freepbx-%{rawname}
Version:	17.0.6
Release:	1%{?dist}
Summary:	Asterisk API

License:	See Freepbx Readme
Source0:	https://mirror.freepbx.org/modules/packages/%{rawname}/%{rawname}-%{version}.tgz


Provides:	freepbx-%{rawname} = %{version}-%{release}

BuildArch:	noarch

%description
This module is used to add AMI Users

%prep
%setup -q -n %{rawname}

# Controlliamo la eventuale presenza di particolarita' da gestire
for ddd in agi-bin bin sbin etc astetc images sounds moh hooks ; do
	[ -e $ddd ] && echo presente $ddd, va gestito && exit 1
done

# Non mi va di lanciare gpg a destra e a manca, solo per venire a sapere che ho modificato i moduli
%{__rm} module.sig

# Delete backup files
find . -name '*.orig' -exec rm '{}' ';'
find . -name '.git*' -exec rm -rf '{}' ';'

# fix dir perms
find . -type d -exec chmod 755 '{}' ';'
find . -type f -exec chmod 644 '{}' ';'
#find . -type f -regex '.*\.\(php\|html\)$' -exec chmod 644 '{}' ';'

%install
%{__install} -d %{buildroot}%{_datadir}/freepbx/admin/modules/%{rawname}
%{__cp} -aR `ls | egrep -v '^(agi-bin|bin|etc|sounds|moh|images|LICENSE|README.md)'` %{buildroot}%{_datadir}/freepbx/admin/modules/%{rawname}

%{__install} -d %{buildroot}%{_datadir}/freepbx/admin/modules/%{rawname}/assets/less/cache
%{__install} -d %{buildroot}%{_datadir}/freepbx/admin/assets
%{__ln_s} %{_datadir}/freepbx/admin/modules/%{rawname}/assets %{buildroot}%{_datadir}/freepbx/admin/assets/%{rawname}

%preun
find %{_datadir}/freepbx/admin/modules/%{rawname}/assets/less/cache -mindepth 1 -maxdepth 1 -exec rm -rf '{}' ';'

%clean
%{__rm} -rf $RPM_BUILD_ROOT

%files
%doc README.md
%defattr(0644,%{sown},%{sgrp},0755)

%{_datadir}/freepbx/admin/assets/*
%{_datadir}/freepbx/admin/modules/%{rawname}
%dir %attr(0755,%{own},%{grp}) %{_datadir}/freepbx/admin/modules/%{rawname}/assets/less/cache

%changelog
* Mon Dec 02 2024 Luigi Iotti <asterisk@iotti.biz> - 17.0.6
- Updated version

* Mon Apr 22 2024 Luigi Iotti <asterisk@iotti.biz> - 16.0.23
- Updated version

* Thu Feb 08 2024 Luigi Iotti <asterisk@iotti.biz> - 16.0.21
- Updated version

* Mon Dec 04 2023 Luigi Iotti <asterisk@iotti.biz> - 16.0.20
- Updated version

* Wed Jul 26 2023 Luigi Iotti <asterisk@iotti.biz> - 16.0.19
- Updated version

* Tue May 23 2023 Luigi Iotti <asterisk@iotti.biz> - 16.0.18
- Updated version

* Sat Mar 18 2023 Luigi Iotti <asterisk@iotti.biz> - 16.0.17
- Updated version

* Mon Dec 05 2022 Luigi Iotti <asterisk@iotti.biz> - 16.0.15
- Updated version

* Wed Sep 28 2022 Luigi Iotti <asterisk@iotti.biz> - 16.0.14
- Updated version

* Wed Jun 01 2022 Luigi Iotti <asterisk@iotti.biz> - 16.0.13
- Updated version

* Mon Apr 25 2022 Luigi Iotti <asterisk@iotti.biz> - 16.0.11
- Updated version

* Tue Apr 05 2022 Luigi Iotti <asterisk@iotti.biz> - 16.0.10
- Updated version

* Wed Jan 19 2022 Luigi Iotti <asterisk@iotti.biz> - 16.0.9
- Initial build
